<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
BackupOptions Members
BackupOptions Class Constructors Methods Fields See Also Send Feedback

The BackupOptions type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| BackupOptions | Initializes a new instance of the BackupOptions class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| Clean | If true, all files are removed from the target backup directory before the backup is performed.
| Creation | Specify whether the target directory is created if it does not already exist.
| Files | If true, all ordinary files that might exist in the environment or in the environment's subdirectories are backed up; otherwise, only files necessary for the proper operation of Berkeley DB are backed up.
| NoLogs | If true, log files are not included in the backup. Instead, only *.db files are copied to the target directory.
| SingleDir | If true, then regardless of the directory structure used by the source environment, place all backup files in the single target directory. Use this option if absolute path names to your environment directory and the files within that directory are required by your application.
| Update | If true, perform an incremental back up, instead of a full backup. When this option is specified, only log files are copied to the target directory.

# See Also

BackupOptions Class
BerkeleyDB Namespace